Subject: [TR] TR2/3 - stator tube leaking.

From: Angelo Graham <[email-masked]>
Date: Sat, 04 May 2013 14:43:36 -0400

Hello List:
Dealing with some of the "finishing touches" on my long standing TR2 
project and struggling with a leaking stator tube nut/ferrule at the end 
of the steering box. Have tried a new nut and brass ferrule after 
stripping my original nut. Still no luck. Don't want to overtighten the 
new nut. Have checked the tube for irregularities, but seems OK.
Is this one of the slow leaks you have to learn to live with?? Can 
always keep topping up the steering box. Concerned about keeping the top 
bearing in oil as I understand that this bearing often dries out.
Any hints with this one??
Thanks in advance.
Angelo Graham

** [email-masked] **

Archive: http://www.team.net/archive